const Joi = require('joi');


const agentSchema = Joi.object().keys({
    agentId: Joi.string().required(),
    name: Joi.string(),
    provider: Joi.string().required().lowercase().valid('aws', 'azure', 'onprem'),
    region: Joi.string().required(),
    network: Joi.string().required(),
    subnet: Joi.string().required(),
    creatorUserId: Joi.string().required(),
    status: Joi.string().valid('pending', 'active', 'inactive', 'unknown')
});

const getAgentsSchema = Joi.object().keys({
    agents: Joi.array().items(agentSchema)
});

const getAgentSchema = Joi.object().keys({
    agent: agentSchema
});

module.exports = { getAgentsSchema, agentSchema, getAgentSchema };
