const axios = require('axios');
const { getTenancyServiceToken } = require('./auth0');
const { CHARGING_BASE_URL, CLOUD_TIERING_NAMESPACE } = require('../utils/consts');
const chargingRequest = require('../joi-schemas/charging-schemas');
const { validateRequest } = require('../utils/schema-validation');

async function charge(chargingData) {
    validateRequest(chargingData, chargingRequest);
    await axios.post(`${CHARGING_BASE_URL}`, chargingData, {
        headers: {
            authorization: getTenancyServiceToken(),
            'X-Service-Request-Id': CLOUD_TIERING_NAMESPACE.get('requestId')
        }
    });
}


module.exports = charge;
