const {
    CLOUD_MANAGER_AZURE_METADATA_SUBSCRIPTIONS, CLOUD_MANAGER_AZURE_METADATA_REGIONS, OCCM_BASE_URL
} = require('../../utils/consts');
const { validateResponse } = require('../../utils/schema-validation');
const {
    associatedSubscriptionResponse, azureRegionsResponse
} = require('../../joi-schemas/cloud-manager-schamas');
const getLogger = require('../../utils/logger/logger');
const { getRequest } = require('./cloud-manager-axios-utils');

const logger = getLogger();

async function getAssociatedSubscriptions(agentId) {
    logger.info('Get associated subscriptions');
    const data = await getRequest(`${OCCM_BASE_URL}${CLOUD_MANAGER_AZURE_METADATA_SUBSCRIPTIONS}`, { 'X-Agent-Id': agentId });
    validateResponse(data, associatedSubscriptionResponse);
    return data;
}

async function getAzureLocations(subscriptionId, agentId) {
    logger.info('get available azure locations');
    const data = await getRequest(`${OCCM_BASE_URL}${CLOUD_MANAGER_AZURE_METADATA_REGIONS}?subscriptionId=${subscriptionId}`, { 'X-Agent-Id': agentId });
    validateResponse(data, azureRegionsResponse);
    return data;
}

module.exports = { getAssociatedSubscriptions, getAzureLocations };
