const getLogger = require('../utils/logger/logger');

const { API_ROOT, GRAPHQL_ROOT } = require('../utils/consts');

const logger = getLogger();

function reactRouterFallback(staticAssetsMiddleware) {
    return (req, res, next) => {
        if (req.url.startsWith(API_ROOT) || req.url.startsWith(GRAPHQL_ROOT)) {
            next();
        } else {
            logger.debug('Requested resource not found:', req.originalUrl, ' . Redirecting...');
            req.url = '/';
            staticAssetsMiddleware(req, res, next);
        }
    };
}

module.exports = reactRouterFallback;
