const mongoose = require('mongoose');

const accountSchema = new mongoose.Schema({
    accountId: { type: String, required: true, index: { unique: true } },
    freeTrialExpiryDate: { type: Date, required: false },
    automaticExtension: { type: Boolean, required: false, default: false }
}, {
    timestamps: true, // assign createdAt and updatedAt
    toJSON: {
        transform(doc, ret) {
            const toReturn = ret;
            delete toReturn.__v;
            return toReturn;
        }
    }
});


const Account = mongoose.model('Account', accountSchema);

module.exports = Account;
