const { validateResponse } = require('../../src/utils/schema-validation');
const { volumesResponseSchema, aggregatesResponseSchema, clusterResponseSchema } = require('../../src/joi-schemas/cloud-manager-schamas');
const getVolumesResponse = require('../dataSets/volumesResponse');
const getOnpremResponse = require('../dataSets/onpremResponse');
const getAggregatesResponse = require('../dataSets/aggregatesResponse');

describe('run joi validation on real data sets', () => {
    test('successfully validate Cloud Manager getVolumes response', () => {
        expect(validateResponse(JSON.stringify(getVolumesResponse), volumesResponseSchema)).not.toBeDefined();
    });

    test('successfully validate Cloud Manager getAggregates response', () => {
        expect(validateResponse(JSON.stringify(getAggregatesResponse), aggregatesResponseSchema)).not.toBeDefined();
    });

    test('successfully validate Cloud Manager getCluster response', () => {
        expect(validateResponse(JSON.stringify(getOnpremResponse), clusterResponseSchema)).not.toBeDefined();
    });
});
