const nock = require('nock');
const {
    JWT_TOKEN_AUTH0
} = require('../../../src/utils/consts');
const { findUserId } = require('../simulator-utils');
const getLogger = require('../../../src/utils/logger/logger');

const logger = getLogger('simulator');

const auth0Scope = nock(JWT_TOKEN_AUTH0, { allowUnmocked: true })
    .log(evt => logger.info(evt))
    // get userInfo
    .get('/userinfo')
    .delay(100)
    .reply(200, function () {
        const userId = findUserId(this.req.headers.authorization);
        const objectToReturn = { 'http://cloud.netapp.com/user_metadata': { email: userId } };
        return [200, JSON.stringify(objectToReturn)];
    });

auth0Scope.persist(true);
