const axios = require('axios');
const { signJwtToken } = require('../simulator-utils');
const { reset } = require('../simulator-state');
const {
    CHARGING_BASE_URL
} = require('../../../src/utils/consts');

require('../scopes/charging-scope');

describe('charging service scope', () => {
    beforeEach(() => reset());

    test('charging- send charging', async () => {
        const charging = [{
            subscriptionId: 'subscriptionId',
            dimension: 'Tier1',
            timestamp: new Date().toISOString(),
            accounts: [{ accountId: '1', resources: [{ val: 10, resourceId: '1' }] }]
        }];

        // create account
        const { data: received } = await axios.post(`${CHARGING_BASE_URL}`, charging, {
            headers: {
                authorization: signJwtToken()
            }
        });
        expect(received).toEqual(charging);
    });
});
