const AWS = require('aws-sdk');
require('../scopes/metadata-service-scope');
require('../scopes/ec2-scope'); // have to put it here after AWS SDK initialization

describe('EC2 scope', () => {
    test('get regions', async () => {
        const ec2 = new AWS.EC2({ region: 'us-east-1' });
        const regions = await ec2.describeRegions().promise();

        expect(regions).toEqual({
            Regions: [{
                Endpoint: 'ec2.us-east-1.amazonaws.com',
                RegionName: 'us-east-1'
            }, {
                Endpoint: 'ec2.us-east-2.amazonaws.com',
                RegionName: 'us-east-2'
            }, {
                Endpoint: 'ec2.us-west-1.amazonaws.com',
                RegionName: 'us-west-1'
            }, {
                Endpoint: 'ec2.eu-west-1.amazonaws.com',
                RegionName: 'eu-west-1'
            }, {
                Endpoint: 'ec2.eu-central-1.amazonaws.com',
                RegionName: 'eu-central-1'
            }, {
                Endpoint: 'ec2.ap-south-1.amazonaws.com',
                RegionName: 'ap-south-1'
            }, {
                Endpoint: 'ec2.ap-southeast-1.amazonaws.com',
                RegionName: 'ap-southeast-1'
            }, {
                Endpoint: 'ec2.sa-east-1.amazonaws.com',
                RegionName: 'sa-east-1'
            }, {
                Endpoint: 'ec2.cn-north-1.amazonaws.com',
                RegionName: 'cn-north-1'
            }]
        });
    });
});
